Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ide2DObject Class Reference

`#include <de2D.hpp>`

Inheritance diagram for Ide2DObject:

[legend]
Collaboration diagram for Ide2DObject:

[legend]
List of all members.

## Public Member Functions
virtual IdeVertexBuffer * | GetVBuffer () const=0
| Get the internal vertex buffer for this object.
virtual IdeRenderTexture * | GetTexture () const=0
| Get the texture-state used to render this object.
virtual deBoolean | HasExpired () const=0
virtual deFloat | GetDepth () const=0
virtual void | MakeExpire ()=0
| Cause this object to be deleted after it is next rendered.
virtual deBoolean | SetDepth (deFloat Depth)=0
virtual deBoolean | Move (deVertex DeltaXY)=0
| Manually transform the position values in the internal vertex buffer, to move the object.
virtual deBoolean | Update (deDouble DeltaTime)=0
## Protected Member Functions
virtual | ~Ide2DObject ()

## Detailed Description

base class for handling objects rendered in 2D. Related functions: Ide2DObject_Create2DObject, Ide2DObject_Create2DOverlay, Ide2DObject_Create2DCorona Ide2DObject_Create2DLine, Ide2DObject_Create2DLineList, Ide2DObject_Create2DLineRect. Related classes: Ide2DCollection.

## Constructor & Destructor Documentation

virtual Ide2DObject::~Ide2DObject | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual deFloat Ide2DObject::GetDepth | ( |  | ) | const`[pure virtual]`

| Get the depth value used for sorting this object into the render order. Note that the depth value is only relative to other objects and collections inside the same collection. Implemented in de2DObject.

virtual IdeRenderTexture* Ide2DObject::GetTexture | ( |  | ) | const`[pure virtual]`

| Get the texture-state used to render this object. Implemented in de2DObject.

virtual IdeVertexBuffer* Ide2DObject::GetVBuffer | ( |  | ) | const`[pure virtual]`

| Get the internal vertex buffer for this object. Implemented in de2DObject.

virtual deBoolean Ide2DObject::HasExpired | ( |  | ) | const`[pure virtual]`

| Implemented in de2DObject.

virtual void Ide2DObject::MakeExpire | ( |  | ) | `[pure virtual]`

| Cause this object to be deleted after it is next rendered. Implemented in de2DObject.

virtual deBoolean Ide2DObject::Move | ( | deVertex | DeltaXY | ) | `[pure virtual]`

| Manually transform the position values in the internal vertex buffer, to move the object. Implemented in de2DObject.

virtual deBoolean Ide2DObject::SetDepth | ( | deFloat | Depth | ) | `[pure virtual]`

| Set the depth value used for sorting this object into the render order. Note that the depth value is only relative to other objects and collections inside the same collection. Calling this method on an object already in a collection will not change its rendering order. Instead, call Ide2DCollection::AdjustObjectDepth which will invoke this method on the 2d object. Implemented in de2DObject.

virtual deBoolean Ide2DObject::Update | ( | deDouble | DeltaTime | ) | `[pure virtual]`

| Implemented in de2DObject.

The documentation for this class was generated from the following file:

- de2D.hpp